"use strict";
Object.defineProperties(exports, { __esModule: { value: true }, [Symbol.toStringTag]: { value: "Module" } });
require("../../../../../../node_modules/.pnpm/vue@3.3.4/node_modules/vue/dist/vue.runtime.esm-bundler.js");
const runtimeCore_esmBundler = require("../../../../../../node_modules/.pnpm/@vue_runtime-core@3.3.4/node_modules/@vue/runtime-core/dist/runtime-core.esm-bundler.js");
const reactivity_esmBundler = require("../../../../../../node_modules/.pnpm/@vue_reactivity@3.3.4/node_modules/@vue/reactivity/dist/reactivity.esm-bundler.js");
const shared_esmBundler = require("../../../../../../node_modules/.pnpm/@vue_shared@3.3.4/node_modules/@vue/shared/dist/shared.esm-bundler.js");
const _hoisted_1 = ["width"];
const _hoisted_2 = ["stroke", "points"];
const _hoisted_3 = ["stroke", "points"];
const _sfc_main = /* @__PURE__ */ runtimeCore_esmBundler.defineComponent({
  __name: "index",
  props: {
    chartConfig: {
      type: Object,
      required: true
    }
  },
  setup(__props) {
    const props = __props;
    const { w, h } = reactivity_esmBundler.toRefs(props.chartConfig.attr);
    const { colors, dur, lineHeight } = reactivity_esmBundler.toRefs(props.chartConfig.option);
    return (_ctx, _cache) => {
      return runtimeCore_esmBundler.openBlock(), runtimeCore_esmBundler.createElementBlock("div", {
        class: "go-decorates-2",
        style: shared_esmBundler.normalizeStyle(`width:${reactivity_esmBundler.unref(w)}px; height: ${reactivity_esmBundler.unref(lineHeight)}px animation-duration:${reactivity_esmBundler.unref(dur)}s`)
      }, [
        (runtimeCore_esmBundler.openBlock(), runtimeCore_esmBundler.createElementBlock("svg", {
          width: reactivity_esmBundler.unref(w),
          height: 3
        }, [
          runtimeCore_esmBundler.createElementVNode("polyline", {
            stroke: reactivity_esmBundler.unref(colors)[0],
            points: `0, 2.5 ${reactivity_esmBundler.unref(w)}, 2.5`
          }, null, 8, _hoisted_2),
          runtimeCore_esmBundler.createElementVNode("polyline", {
            stroke: reactivity_esmBundler.unref(colors)[1],
            "stroke-width": "3",
            "stroke-dasharray": "20, 80",
            "stroke-dashoffset": "-30",
            points: `0, 2.5 ${reactivity_esmBundler.unref(w)}, 2.5`
          }, null, 8, _hoisted_3)
        ], 8, _hoisted_1))
      ], 4);
    };
  }
});
exports.default = _sfc_main;
